backend:
  name: git-gateway
  branch: main
media_folder: public/assets/uploads
public_folder: /assets/uploads
site_url: https://www.friedemann-augenoptik.de
logo_url: https://www.friedemann-augenoptik.de/images/logo.png
locale: de
show_preview_links: false
collections:
  - label: Allgemeines
    name: general
    files:
      - label: Einstellungen
        name: settings
        file: src/content/general/settings.yml
        fields:
          - {label: Firma, name: company, widget: string}
          - {label: Inhaber, name: ceo, widget: string}
          - {label: Telefon, name: phone, widget: string}
          - {label: Fax, name: fax, widget: string}
          - {label: E-Mail, name: mail, widget: string}
          - {label: HRA-Nr, name: hra, widget: string}
          - {label: Registergericht, name: register_court, widget: string, required: false}
          - {label: Innung, name: guild, widget: string, required: false}
          - {label: Aufsichtsbehörde, name: authority, widget: string}
          - {label: Handwerkskammer, name: chamber, widget: string}
          - {label: Straße, name: street, widget: string}
          - {label: PLZ, name: zip, widget: string}
          - {label: Stadt, name: city, widget: string}
          - label: Öffnungszeiten
            name: business-hours
            widget: list
            summary: '{{fields.time.day}}'
            fields:
              - label: Zeit
                name: time
                widget: object
                fields:
                  - {label: Tag, name: day, widget: string}
                  - {label: Zeit, name: time, widget: string}
      - label: Popup
        name: popup
        file: src/content/general/popup.yml
        fields:
          - {label: Aktiv?, name: active, widget: boolean}
          - label: Bild
            name: image
            widget: object
            collapsed: false
            fields:
              - {label: Alt Tag, name: alt, widget: string, hint: "Kurze Beschreibung des Bildinhalts"}
              - label: Bild
                name: image
                widget: image
                allow_multiple: false
  - label: Seiten
    name: pages
    files:
      - label: Startseite
        name: home
        file: src/content/pages/home.yml
        fields:
          - {label: Überschrift, name: title, widget: string}
          - {label: Unterüberschrift, name: subtitle, widget: string}
          - {label: Text, name: text, widget: markdown}
          - label: Bild
            name: image
            widget: object
            collapsed: false
            fields:
              - {label: Alt Tag, name: alt, widget: string, hint: "Kurze Beschreibung des Bildinhalts"}
              - label: Bild
                name: image
                widget: image
                default: /assets/uploads/team.png
                allow_multiple: false
      - label: Aktionen
        name: offers
        file: src/content/pages/offers.yml
        fields:
          - {label: Überschrift, name: title, widget: string}
          - {label: Text, name: text, widget: markdown}
      - label: Optik/Fassungen
        name: frames
        file: src/content/pages/frames.yml
        fields:
          - {label: Überschrift, name: title, widget: string}
          - {label: Text, name: text, widget: markdown}
      - label: Optik/Gläser
        name: glasses
        file: src/content/pages/glasses.yml
        fields:
          - {label: Überschrift, name: title, widget: string}
          - {label: Text, name: text, widget: markdown}
      - label: Optik/Kontaktlinsen
        name: lenses
        file: src/content/pages/lenses.yml
        fields:
          - {label: Überschrift, name: title, widget: string}
          - {label: Text, name: text, widget: markdown}
          - {label: Youtube Video ID, name: youtube, widget: string}
      - label: Wir über uns/Unser Team
        name: about
        file: src/content/pages/about.yml
        fields:
          - {label: Überschrift, name: title, widget: string}
          - {label: Text, name: text, widget: markdown}
          - label: Bild
            name: image
            widget: object
            collapsed: false
            required: false
            fields:
              - {label: Alt Tag, name: alt, widget: string, hint: "Kurze Beschreibung des Bildinhalts", required: false, default: Gruppenfoto}
              - label: Bild
                name: image
                required: false
                widget: image
                default: /assets/uploads/friedemann-gruppenfoto.jpg
                allow_multiple: false
  - label: Sliderbild
    name: slider
    folder: src/content/slider
    create: true
    fields:
      - {label: Alt Tag, name: alt, widget: string, hint: "Kurze Beschreibung des Bildinhalts", required: true}
      - label: Bild
        name: image
        required: true
        widget: image
        allow_multiple: false
  - label: Aktionen
    name: offers
    folder: src/content/offers
    create: true
    fields:
      - {label: Titel, name: title, widget: string}
      - {label: Text, name: text, widget: markdown}
      - {label: Kategorie, name: category, widget: select, options: ["Brillen", "Kontaktlinsen", "Kinderbrillen", "Low Vision", "Service", "Sonnenbrillen"]}
      - label: Angebot als PDF oder Bild
        name: offer_file
        widget: file
        allow_multiple: false
      - label: Bild
        name: image
        widget: object
        fields:
          - {label: Alt Tag, name: alt, widget: string, hint: "Kurze Beschreibung des Bildinhalts", required: true}
          - label: Bild
            name: image
            required: true
            widget: image
            allow_multiple: false
  - label: Mitarbeiter
    name: team
    folder: src/content/team
    create: true
    fields:
      - {label: Name, name: name, widget: string}
      - {label: Aufgabe, name: function, widget: string}
      - {label: Bild, name: image, widget: file, allow_multiple: false, required: false}
      - label: Platzhalter
        name: placeholder
        widget: select
        hint: "Platzhalter, falls noch kein Bild vorhanden ist"
        required: false
        options: 
          - {label: "Männlich", value: "male"}
          - {label: "Weiblich", value: "female"}